%global srcname scripttester

Name:           python-%{srcname}
Version:        0.1
Release:        1%{?dist}
Summary:        Utility for testing command line scripts

License:        BSD
URL:            https://pypi.org/project/scripttester/
Source0:        https://github.com/matthew-brett/scripttester/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2dist(pytest)
BuildRequires:  python2dist(setuptools)

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%global desc \
Provides a class to be instantiated in tests that checks that scripts \
can be run and give correct output.  The class tries to find your \
scripts whether you have installed them or not.  If you have not \
installed them, the scripts will not be on your system PATH, and we have \
to find them.  The heuristic is to look (by default) in the directory \
containing mymodule; if there is a setup.py file there, and a scripts \
subdirectory, assume that directory contains the scripts. \
\
Note there is no way of using this not-installed mechanism to find \
entrypoint scripts, that have not been installed.  To find these, we \
would have to run the setup.py file.

%description
%{desc}

%package     -n python2-%{srcname}
Summary:        Utility for testing command line scripts

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{desc}

%package     -n python3-%{srcname}
Summary:        Utility for testing command line scripts

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}

%prep
%autosetup -n %{srcname}-%{version}

%build
# Python 2 build
%py2_build

# Python 3 build
%py3_build

# Documentation build
sed -i 's/python -msphinx/sphinx-build-%{python3_version}/' doc/Makefile
make -C doc html
rm -f doc/_build/html/.{buildinfo,nojekyll}

%install
# Python 2 install
%py2_install

# Python 3 install
%py3_install

%check
# Test the python 2 build
export PYTHONPATH=$PWD/build/lib
pytest-%{python2_version}

# Test the python 3 build
pytest-%{python3_version}

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst doc/_build/html
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}*.egg-info/

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst doc/_build/html
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}*.egg-info/

%changelog
* Wed Sep  5 2018 Jerry James <loganjerry@gmail.com> - 0.1-1
- Initial RPM
